/****************************************************************************
**
** DCOP Stub Implementation created by dcopidl2cpp from kspeechsink.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "kspeechsink_stub.h"
#include <dcopclient.h>

#include <kdatastream.h>


KSpeechSink_stub::KSpeechSink_stub( const TQCString& app, const TQCString& obj )
  : DCOPStub( app, obj )
{
}

KSpeechSink_stub::KSpeechSink_stub( DCOPClient* client, const TQCString& app, const TQCString& obj )
  : DCOPStub( client, app, obj )
{
}

KSpeechSink_stub::KSpeechSink_stub( const DCOPRef& ref )
  : DCOPStub( ref )
{
}

void KSpeechSink_stub::kttsdStarted()
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    dcopClient()->send( app(), obj(), "kttsdStarted()", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::kttsdExiting()
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    dcopClient()->send( app(), obj(), "kttsdExiting()", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::markerSeen( const TQCString& arg0, const TQString& arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "markerSeen(TQCString,TQString)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::sentenceStarted( const TQCString& arg0, uint arg1, uint arg2 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    arg << arg2;
    dcopClient()->send( app(), obj(), "sentenceStarted(TQCString,uint,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::sentenceFinished( const TQCString& arg0, uint arg1, uint arg2 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    arg << arg2;
    dcopClient()->send( app(), obj(), "sentenceFinished(TQCString,uint,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textSet( const TQCString& arg0, uint arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "textSet(TQCString,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textAppended( const TQCString& arg0, uint arg1, int arg2 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    arg << arg2;
    dcopClient()->send( app(), obj(), "textAppended(TQCString,uint,int)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textStarted( const TQCString& arg0, uint arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "textStarted(TQCString,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textFinished( const TQCString& arg0, uint arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "textFinished(TQCString,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textStopped( const TQCString& arg0, uint arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "textStopped(TQCString,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textPaused( const TQCString& arg0, uint arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "textPaused(TQCString,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textResumed( const TQCString& arg0, uint arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "textResumed(TQCString,uint)", data );
    setStatus( CallSucceeded );
}

void KSpeechSink_stub::textRemoved( const TQCString& arg0, uint arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    TQByteArray data;
    TQDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "textRemoved(TQCString,uint)", data );
    setStatus( CallSucceeded );
}


